RStudio 설치 및 R 업데이트 질문있습니다.


  • Level 3

    구름에서 RStuido 설치 방법 질의가 있어 아래를 참고하여 설치하였습니다. 사용도 잘됩니다.

    https://forum.goorm.io/topic/11046/r-studio-관련-문의

    다만 저대로 설치시에 R 기본 버전이 3.4.4 버전으로 나타나는데 지금 사용하고 싶은 버전이 3.6.3 과 4.1.0 입니다.

    참고하여 업데이트를 시도했으나 계속 실패하였습니다.

    아래와 같이 오류가 뜨는데 해결할 방법을 알 수 있을까요? 감사합니다.

    root@goorm:/workspace/RStudio_Code# apt-get install -y r-base
    패키지 목록을 읽는 중입니다... 완료
    의존성 트리를 만드는 중입니다
    상태 정보를 읽는 중입니다... 완료
    설치할 수 없는 패키지가 있습니다. 불가능한 상황을 요청하였을 수도 있고,
    불안정 배포판을 사용해서 일부 필요한 패키지를 아직 만들지 않았거나,
    아직 Incoming에서 나오지 않은 경우일 수도 있습니다.
    이 상황을 해결하는데 다음 정보가 도움이 될 수도 있습니다:

    다음 패키지의 의존성이 맞지 않습니다:
    r-base : 의존: r-base-core (>= 4.1.0-1.2004.0) 하지만 3.4.4-1ubuntu1 패키지를 설치할 것입니다
    의존: r-recommended (= 4.1.0-1.2004.0) 하지만 3.4.4-1ubuntu1 패키지를 설치할 것입니다
    E: 문제를 바로잡을 수 없습니다. 망가진 고정 패키지가 있습니다.

  • Level 3

    @정성연-goorm 답변 감사합니다.

    새로 컨테이너 생성하여 blank / ubuntu 18 로 설정하였습니다.

    이 후 "// R설치" <- 파트를 순차적으로 입력한 뒤 나온 결과 값은 아래 그림과 같이 출력되었습니다.

    123.png

    현재 알려주신 마지막 코드까지 실행하였음에도 3.4.4로 계속 유지되고 있습니다. ㅠ..

    덧붙여 혹시 ubuntu 16 은 다를까하여 동일 코드를 실행하였더니 3.2.3 버전이 설치됩니다.

    f949e1f6-b9c3-4eb7-9551-0070d21948aa-image.png

    더 구글링하여 검색해보겠습니다. 감사합니다!

  • Level 8

    // R 설치
    $ sudo apt-get update
    $ sudo apt-get install r-base
    $ R --version

    // R studio serve 설치
    $ wget https://download2.rstudio.org/server/bionic/amd64/rstudio-server-1.3.1073-amd64.deb
    $ sudo apt install rstudio-server-1.3.1073-amd64.deb
    $ sudo apt install ./rstudio-server-1.3.1073-amd64.deb

    $ sudo apt-get install gdebi-core
    $ sudo gdebi rstudio-server-1.3.1073-amd64.deb

    // R 시작
    $ rstudio-server start

    // 설정 변경
    vi /etc/rstudio/rserver.conf
    www-port=80

    vi /etc/rstudio/rsession.conf
    session-timeout-minutes=0

    이대로 한줄씩 진행 해보시겠어요 ?

  • Level 3

    @정성연-goorm 네 컨테이너를 blank로 ubuntu18 세팅해서 생성 후 아래와 같이 입력하였습니다.

    apt-get update && apt-get install -y r-base gdebi-core
    wget https://download2.rstudio.org/server/bionic/amd64/rstudio-server-1.4.1717-amd64.deb
    gdebi rstudio-server-1.4.1717-amd64.deb
    adduser goorm
    rstudio-server start

    그 후에 접속하였더니 RStudio server의 기본 R 값은 3.4.4였고, 위 syntax의 첫줄부터 오류사항을 하나하나 확인하니 본문에 기술한 바와 같은 오류가 도출되었습니다.

  • Level 8

    컨테이너 생성할떄 black 스택으로 컨테이너를 생성하셧나요 ?

ONLINE USERS

POPULAR TOPICS

SUGGESTED TOPICS